<?php
include ("ust.php");
session_start(); ## -> Oturum Başlatıldı
$giris_kontrol = $_SESSION['kullanici_id']; if(empty($giris_kontrol)){echo '<meta http-equiv="refresh" content="0;URL=index.php">';}else{
	
## -> Silme İşlemi
$sil = g('sil');
switch($sil){
case "sil":

$id = g('id'); $id = mysql_real_escape_string($id);
$sil = mysql_query("delete from giris_kayit") or die("Hata Olustu!");
// İşlem Kayıt Modülü
$islemk_islem = "Tüm giriş kayıtları silindi";
include("moduller/islemkayit_modul.php");
if($sil){echo '<meta http-equiv="refresh" content="0;URL=giris_kayitlari.php?durum=duzenleme-basarili'.$d_k_d.'"> ';}
}
## ->  Silme İşlemi

?>
		

				<div class="container-fluid">
              
				<?php // Bakım modu aktif ise tüm sayfalarda bakım uyarısı verir.
				if($geayar_bakim == "evet"){include("modules/bakim-modul.php");} ?>
		
                <div class="row">
                <div class="col-12">

				<div id="temizle-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
				<div class="modal-dialog">
				<div class="modal-content">
				<div class="modal-header">
				<h4 class="modal-title"><i class="fa fa-power-off" aria-hidden="true"></i> Dikkat</h4>
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
				</div>
				<div class="modal-body">
				<p>Sistemde yapılan tüm girişlere ait kayıtları silmek istiyormusunuz ? Bu işlem geri alınamaz. </p>
				</div>
				<div class="modal-footer">
				<button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Hayır</button>
				<a href="giris_kayitlari.php?sil=sil"><button type="button" class="btn btn-danger waves-effect waves-light">Evet</button></a>
				</div>
				</div>
				</div>
				</div>
				
                <div class="card">
                <div class="card-body">
				<div class="row">
				<div class="col-md-9">
                <h4 class="card-title">Giriş Kayıtları</h4>
                <h6 class="card-subtitle">Yöneticiler tarafından yapılan girişlerin kayıtları</h6>
				</div>
				<div class="col-md-3">
				<?php if($kontrol_kullanici_yetki == "1"){?>
				<a data-toggle="modal" data-target="#temizle-modal" class="btn btn-danger text-white" style="float:right;"> Tümünü Temizle</a>
				<?php }else{echo '<a data-toggle="modal" data-target="#uyari-modal" class="btn btn-danger text-white" style="float:right;"> Tümünü Temizle</a>'; }?>
				</div>
				</div>
                <div class="table-responsive">
                <table class="table color-table dark-table">
                <thead>
                <tr>
                <th>Kullanıcı</th>
                <th>İp Adresi</th>
                <th>Tarih</th>
                <th>Saat</th>
                </tr>
                </thead>
                <tbody>
				
<?php
				
$sayfada = 20; // sayfada gösterilecek içerik miktarını belirtiyoruz.
 
$sorgu = mysql_query('SELECT COUNT(*) AS toplam FROM giris_kayit');
$sonuc = mysql_fetch_assoc($sorgu);
$toplam_icerik = $sonuc['toplam'];
 
$toplam_sayfa = ceil($toplam_icerik / $sayfada);
 
$sayfa = isset($_GET['sayfa']) ? (int) $_GET['sayfa'] : 1;
 
if($sayfa < 1) $sayfa = 1; 
if($sayfa > $toplam_sayfa) $sayfa = $toplam_sayfa; 
 
$limit = ($sayfa - 1) * $sayfada;
$sorgu = mysql_query('SELECT * FROM giris_kayit ORDER BY id DESC LIMIT ' . $limit . ', ' . $sayfada);
while($yaz=mysql_fetch_array($sorgu)){
$giris_kullanici = $yaz['giris_kullanici'];
$giris_ip = $yaz['giris_ip'];
$giris_tarih = $yaz['giris_tarih'];
$giris_saat = $yaz['giris_saat'];

echo '    

<tr>
<td>'.$giris_kullanici.'</td>
<td>'.$giris_ip.'</td>
<td>'.$giris_tarih.'</td>
<td>'.$giris_saat.'</td>
</tr>
';

}

 
				
				?>
				

                </tbody>
                </table>
				
				<nav aria-label="Page navigation example" class="m-t-40">
				<ul class="pagination">
                                      
				<?php 
				for($s = 1; $s <= $toplam_sayfa; $s++) {
				if($sayfa == $s) { 
				echo '<li class="page-item disabled"><a class="page-link" href="#" tabindex="-1">'.$s.'</a></li>';
				}else{ echo '<li class="page-item"><a class="page-link" href="?sayfa='.$s.'">'.$s.'</a></li>';}}
				?>
                                        
         
                </ul>
                </nav>
								
                </div>
                </div>
                </div>
				</div>
                </div>
				</div>


	
<?php
include ("alt.php");
}
?>